This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1272686 - systemd-vconsole-setup.service always fails if no VGA console
systemd-vconsole-setup.service always fails if no VGA console
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
AcceptedBlocker
: Reopened
: 1272684 1434619 (view as bug list)
Depends On:
Blocks: F26FinalBlocker
  Show dependency treegraph
 
Reported: 2015-10-17 11:49 EDT by Dusty Mabe
Modified: 2017-06-17 15:43 EDT (History)
14 users (show)

See Also:
Fixed In Version: systemd-233-4.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-17 15:43:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Virtual Machine Image Definition (4.06 KB, text/plain)
2016-02-12 11:39 EST, Dusty Mabe
no flags Details
/etc/vconsole.conf (28 bytes, text/plain)
2016-02-12 11:40 EST, Dusty Mabe
no flags Details

  None (edit)
Description Dusty Mabe 2015-10-17 11:49:00 EDT
Description of problem:

If I don't have a VGA device attached to a VM then systemd-vconsole-setup.service always fails on startup. The /usr/lib/systemd/system/systemd-vconsole-setup.service file has ConditionPathExists=/dev/tty0 but those devices seem to be getting created so it's not sufficient to stop the unit from running.

NOTE: Sometimes the failure is masked by having plymouth installed (see https://bugzilla.redhat.com/show_bug.cgi?id=1272684) 

NOTE: There is an upstream discussion somewhat related to this issue at http://lists.freedesktop.org/archives/systemd-devel/2015-April/030051.html


Some example output from debug loglevel systemd:


```
[root@localhost ~]# dmesg | grep vconsole | grep code
[    5.730456] systemd-vconsole-setup[165]: /usr/bin/setfont failed with error code 71.
[    5.788474] systemd[1]: systemd-vconsole-setup.service: Main process exited, code=exited, status=1/FAILURE
[    5.796741] systemd[1]: systemd-vconsole-setup.service: Failed with result 'exit-code'.
[    5.920884] systemd-vconsole-setup[211]: /usr/bin/setfont failed with error code 71.
[    5.981822] systemd-udevd[196]: Process '/usr/lib/systemd/systemd-vconsole-setup' failed with exit code 1.
[    6.243578] systemd[1]: systemd-vconsole-setup.service: Main process exited, code=killed, status=15/TERM
[   12.490275] systemd-vconsole-setup[429]: /usr/bin/setfont failed with error code 71.
[   12.549108] systemd-udevd[355]: Process '/usr/lib/systemd/systemd-vconsole-setup' failed with exit code 1.
```




Version-Release number of selected component (if applicable):
F23 - systemd-222-7.fc23.x86_64
Rawhide - systemd-227-1.fc24.x86_64



How reproducible:
Always


Steps to Reproduce:
Option 1: Use the reproducers in BZ#1272684

Option 2: For rawhide boot  https://kojipkgs.fedoraproject.org//work/tasks/538/11490538/Fedora-Cloud-Base-rawhide-20151017.x86_64.qcow2

Option 3: For F23 boot http://dl.fedoraproject.org/pub/alt/stage/23_TC11/Cloud_Images/x86_64/Images/Fedora-Cloud-Base-23_TC11-20151016.x86_64.qcow2
Comment 1 Harald Hoyer 2016-02-12 09:34:44 EST
Why does /dev/tty0 exist then, if there is no VGA device attached?
What is it?
Comment 2 Harald Hoyer 2016-02-12 09:36:04 EST
What is the contents of /etc/vconsole.conf?
Comment 3 Dusty Mabe 2016-02-12 11:36:34 EST
As far as I know there is no VGA device attached to the VM. Will add contents of the libvirt xml file soon.
Comment 4 Dusty Mabe 2016-02-12 11:39 EST
Created attachment 1123575 [details]
Virtual Machine Image Definition
Comment 5 Dusty Mabe 2016-02-12 11:40 EST
Created attachment 1123577 [details]
/etc/vconsole.conf
Comment 6 Dusty Mabe 2016-02-15 18:00:57 EST
Do you need any help setting up a reproducer. Or any more information about this?
Comment 7 Fedora End Of Life 2016-11-24 07:49:35 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 10:02:34 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Zbigniew Jędrzejewski-Szmek 2017-05-24 20:53:51 EDT
*** Bug 1434619 has been marked as a duplicate of this bug. ***
Comment 10 Zbigniew Jędrzejewski-Szmek 2017-05-24 20:55:08 EDT
Transfering tags from 1434619.
Comment 11 Zbigniew Jędrzejewski-Szmek 2017-05-24 23:10:35 EDT
*** Bug 1272684 has been marked as a duplicate of this bug. ***
Comment 12 Zbigniew Jędrzejewski-Szmek 2017-05-24 23:30:52 EDT
It's not trivial to reproduce... qemu-kvm -nographic is not enough, but https://bugzilla.redhat.com/attachment.cgi?id=1123575 with https://kojipkgs.fedoraproject.org/compose/26/Fedora-26-20170316.0/compose/CloudImages/x86_64/images/Fedora-Cloud-Base-26_Alpha-1.1.x86_64.qcow2 works when imported into libvirt.

Upstream PR: https://github.com/systemd/systemd/pull/6029.
Comment 13 Zbigniew Jędrzejewski-Szmek 2017-05-25 08:22:24 EDT
Dropping PrioritezBlocker as per https://bugzilla.redhat.com/show_bug.cgi?id=1434619#c8.
Comment 14 Adam Williamson 2017-06-14 14:49:58 EDT
Ping: the PR has been merged upstream, could you backport it to F26 now, to resolve this Final blocker bug? Thanks!
Comment 15 Fedora Update System 2017-06-15 19:36:49 EDT
systemd-233-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4c3c543d2e
Comment 16 Fedora Update System 2017-06-16 18:24:56 EDT
systemd-233-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4c3c543d2e
Comment 17 Fedora Update System 2017-06-17 15:43:39 EDT
systemd-233-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.